/* css reset */
html {
  box-sizing: border-box;
  font-size: 16px;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ol,
ul {
  margin: 0;
  padding: 0;
  font-weight: normal;
}

ol,
ul {
  list-style: none;
}

img {
  max-width: 100%;
  height: auto;
}

/*--- end of reset ----*/

:root {
  --blanco: white;
  --gris-medio: #333333;
  --gris-oscuro: #1e1e1e;
  --main-font: "Oswald", sans-serif;
  --secondary-font: "Open Sans", sans-serif;
  --shadow: rgba(0, 0, 0, 0.75);
  --morado: #6f2fd3;
}

body {
  align-items: center;
  background-color: var(--gris-medio);
  display: flex;
  flex-direction: column;
}

.header {
  color: var(--blanco);
  font-family: var(--main-font);
  font-size: 55px;
  margin-top: 16px;
}

.subtitle {
  color: var(--morado);
  font-family: var(--secondary-font);
  font-size: 24px;
}

.header-img {
  background: center / contain no-repeat url(./images/profile.jpg);
  border-radius: 50%;
  border: 1px solid var(--gris-oscuro);
  box-shadow: 8px 16px 32px 0px var(--shadow);
  height: 300px;
  margin-top: 80px;
  width: 300px;
}

.navigation {
  color: var(--blanco);
  cursor: pointer;
  display: flex;
  justify-content: space-around;
  margin: 24px 0;
  width: 50%;
}

.nav-item {
  align-items: center;
  border-radius: 5px;
  display: flex;
  font-family: var(--secondary-font);
  height: 30px;
  justify-content: center;
  width: 33%;
}

.nav-item:hover {
  background-color: var(--morado);
}

.intro {
  margin: 0 196px;
  font-family: var(--secondary-font);
}

.social-media {
  align-items: center;
  display: flex;
  justify-content: space-around;
  margin: 32px auto 0;
  width: 20%;
}

.social-link-svg {
  fill: var(--morado);
}

.carousel {
  align-items: center;
  display: flex;
  margin: 48px 0 64px;
}

.window {
  overflow: hidden;
  width: 805px;
}

.project-container {
  left: 0;
  position: relative;
  width: 1500px;
}

.project {
  border-radius: 5px;
  border: 2px solid #000;
  display: inline-block;
  height: 400px;
  margin: 0 8px;
  transition: all 0.2s ease-in-out;
  width: 250px;
}

.project:hover {
  cursor: pointer;
  transform: scale(1.1);
}

.project1 {
  background: center / cover no-repeat url(./images/project1.webp);
}

.project2 {
  background: center / cover no-repeat url(./images/project2.webp);
}

.project3 {
  background: center / cover no-repeat url(./images/project3.webp);
}

.project4 {
  background: center / cover no-repeat url(./images/project4.webp);
}

.project5 {
  background: center / cover no-repeat url(./images/project5.webp);
}

.arrow {
  height: 75px;
  transition: all 0.2s ease-in-out;
  width: 75px;
}

.arrow:hover {
  transform: scale(1.1);
}

.arrow-left {
  background: center / contain no-repeat url(./images/play-button-left.png);
  background-color: var(--morado);
  border-radius: 50%;
}

.arrow-right {
  background: center / contain no-repeat url(./images/play-button-right.png);
  background-color: var(--morado);
  border-radius: 50%;
}

.contact-section {
  align-items: center;
  background-color: var(--gris-oscuro);
  display: flex;
  flex-direction: column;
  width: 100%;
}

.form-container {
  display: flex;
  flex-direction: column;
  width: 30%;
}

.message-input input {
  height: 150px;
  margin-bottom: 16px;
}

input {
  outline: none;
  width: 100%;
}

.send-button {
  align-items: center;
  background-color: var(--morado);
  border-radius: 5px;
  color: white;
  font-family: var(--secondary-font);
  display: flex;
  height: 50px;
  justify-content: center;
  margin-bottom: 48px;
  width: 150px;
  margin-left: auto;
}

.notification {
  align-items: center;
  background-color: var(--morado);
  border-radius: 5px;
  box-shadow: 8px 16px 32px 0px var(--shadow);
  color: var(--blanco);
  display: none;
  font-family: var(--secondary-font);
  height: 50px;
  justify-content: center;
  position: fixed;
  right: 24px;
  top: 24px;
  width: 300px;
}

.modal-container {
  align-items: center;
  background-color: rgba(000, 000, 000, 0.2);
  display: none;
  height: 100vh;
  justify-content: center;
  position: fixed;
  width: 100vw;
}

.modal {
  align-items: center;
  background-color: var(--gris-oscuro);
  border-radius: 5px;
  border: 2px solid #000;
  display: flex;
  flex-direction: column;
  height: 700px;
  justify-content: center;
  position: fixed;
  top: 15%;
  width: 700px;
}

.modal-project-image {
  background: center / cover no-repeat url(./images/project1.png);
  border-radius: 5px;
  border: 2px solid #000;
  height: 400px;
  margin: 16px;
  width: 550px;
}
